Fedora 20 : libvirt-1.1.3.8-1.fc20 (2014-15228)

medium Nessus Plugin ID 79397

Synopsis

The remote Fedora host is missing a security update.

Description

- Rebased to version 1.1.3.8

- CVE-2014-3633: out-of-bounds read in blockiotune (bz #1160823)

- CVE-2014-3657: Potential deadlock in domain_conf (bz #1160824)

- CVE-2014-7823: information leak with migratable flag (bz #1160822)

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected libvirt package.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=1141131

https://bugzilla.redhat.com/show_bug.cgi?id=1145667

https://bugzilla.redhat.com/show_bug.cgi?id=1160817

http://www.nessus.org/u?e43981b6

Plugin Details

Severity: Medium

ID: 79397

File Name: fedora_2014-15228.nasl

Version: 1.5

Type: local

Agent: unix

Published: 11/24/2014

Updated: 1/11/2021

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.2

CVSS v2

Risk Factor: Medium

Base Score: 5.8

Temporal Score: 5

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:P

Temporal Vector: E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:libvirt, cpe:/o:fedoraproject:fedora:20

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 11/17/2014

Reference Information

CVE: CVE-2014-3633, CVE-2014-3657, CVE-2014-7823

BID: 70186, 70210, 71095

FEDORA: 2014-15228